Move away from gnome-common

This commit is contained in:
Gergely Polonkai 2017-03-15 06:49:38 +01:00
parent d2781a6eb2
commit 2c6fe3f98a
2 changed files with 29 additions and 18 deletions

View File

@ -1,26 +1,37 @@
#!/bin/sh #!/bin/sh
# Run this to generate all the initial makefiles, etc. # Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=$(dirname "$0")
test -n "$srcdir" || srcdir=.
srcdir=`dirname $0` olddir=$(pwd)
test -z "$srcdir" && srcdir=.
ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS" cd $srcdir
PKG_NAME="astrognome" (test -f configure.ac) || {
echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
(test -f $srcdir/configure.ac \ exit 1
&& test -f $srcdir/src/astrognome.c) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
} }
which gnome-autogen.sh || { # shellcheck disable=SC2016
echo "gnome-autogen.sh not found, you need to install gnome-common" PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
exit 1
}
git submodule update --init --recursive if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** '$0' command line." >&2
echo "" >&2
fi
REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh gtkdocize --copy || exit 1
autoreconf --verbose --force --install || exit 1
cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then exit 0 else
echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi

View File

@ -54,12 +54,12 @@ allCountries.txt: allCountries.zip
fi; fi;
cities.txt: allCountries.txt cities.txt: allCountries.txt
$(AM_V_GEN) $(AWK) -f geonames_process.awk allCountries.txt > $@ $(AM_V_GEN) $(AWK) -f $(VPATH)/geonames_process.awk allCountries.txt > $@
geodata.xml: countryInfo.txt timeZones.txt cities.txt geodata.xml: countryInfo.txt timeZones.txt cities.txt
$(AM_V_GEN) if test -x "$(PERL)"; then \ $(AM_V_GEN) if test -x "$(PERL)"; then \
if test "x$(have_geonames_perl_modules)" = "xyes" -o "x$(I_HAVE_PERL_MODULES)" = "xyes"; then \ if test "x$(have_geonames_perl_modules)" = "xyes" -o "x$(I_HAVE_PERL_MODULES)" = "xyes"; then \
$(PERL) geonames_process.pl; \ $(PERL) $(VPATH)/geonames_process.pl; \
else \ else \
echo "XML::Writer and IO::File perl modules are required to process geonames data."; \ echo "XML::Writer and IO::File perl modules are required to process geonames data."; \
echo "configure reported they are not installed. If you are sure they are,"; \ echo "configure reported they are not installed. If you are sure they are,"; \